/* FONTS */

@font-face {
    font-family: 'Bitter';
    src: url('../ttf/Bitter.ttf') format("truetype");
    font-weight: 1 999;
}

@font-face {
    font-family: 'Bitter';
    src: url('../ttf/Bitter-Italic.ttf') format("truetype");
    font-weight: 1 999;
    font-style: italic;
}

/* HELPERS */

.text-black {
    color: #060606;
}

.text-stroke-white {
    text-shadow: 1px 0px 1px #fff, 0px 1px 1px #fff, -1px 0px 1px #fff, 0px -1px 1px #fff, 0 0 1px #fff;
}

.text-stroke-black {
    text-shadow: 1px 0px 1px #000, 0px 1px 1px #000, -1px 0px 1px #000, 0px -1px 1px #000, 0 0 1px #000;
}

.text-stroke-primary {
    text-shadow: 1px 0px 1px var(--bs-primary), 0px 1px 1px var(--bs-primary), -1px 0px 1px var(--bs-primary), 0px -1px 1px var(--bs-primary);
}

.text-shadow-primary {
    text-shadow: 0px 1px 1px var(--bs-primary);
}

.text-shadow-black {
    text-shadow: -1px -1px 2px #000, 1px -1px 2px #000, -1px 1px 2px #000, 1px 1px 2px #000;
}

.text-engrave-dark {
    text-shadow: -1px -1px 1px #000, 0px 1px 1px #444;
}

.text-emboss-dark {
    text-shadow: -1px -1px 1px #444, 1px 1px 1px #000;
}

.bg-engrave-dark {
    box-shadow: inset -1px -1px 2px #333, inset 1px 1px 2px #000;
    background-color: rgba(0, 0, 0, 0.5);
}

.bg-emboss-dark {
    box-shadow: inset -1px -1px 2px #000, inset 1px 1px 2px #333;
    background-color: rgba(0, 0, 0, 0.5);
}

.bg-gradient-primary {
    background: linear-gradient(to right, #BF953F, #FCF6BA, #B38728, #FBF5B7, #AA771C) !important;
}

.bg-gradient-secondary {
    background: linear-gradient(to right, #f5f6f6, #dbdce2, #b8bac6, #dddfe3, #f5f6f6) !important;
}

/* HOME */

@keyframes fade {
    from { opacity: 0; transform: translate(5em); }
    to { opacity: 1; transform: translate(0em); }
}

h1 {
    z-index: 1000;
    top: 0;
    opacity: 0.8;
}

.kwicks {
    transform: skew(-6deg);
}

.kwick {
    transition: flex 1s ease;
    flex: 1;
    overflow: hidden;
    opacity: 0;
    animation: fade 1s ease 0s 1 forwards;
}

.kwick:hover {
    flex: 2.4;
}

.kwick p {
    display: none;
    bottom: 0;
    opacity: 0.8;
}

.kwick:hover p {
    display: block;
}

.kwick img {
    object-fit: cover;
    object-position: center top;
}

.kwick:first-child img {
    object-position: 33% top;
}

.kwick:nth-child(1) { animation-delay: 0.2s; }
.kwick:nth-child(2) { animation-delay: 0.4s; }
.kwick:nth-child(3) { animation-delay: 0.6s; }
.kwick:nth-child(4) { animation-delay: 0.8s; }
.kwick:nth-child(5) { animation-delay: 1.0s; }
.kwick:nth-child(6) { animation-delay: 1.2s; }


/* PAGE */

body.page {
    background: #000 url('../jpg/background.jpg') center center no-repeat fixed;
    background-size: cover;
}

nav {
    z-index: 100;
}

blockquote {
    text-align: justify;
}

.shadow-bevel {
    box-shadow: -1px -1px 3px 0px #f8f9fa, 1px 1px 3px 0px #dee2e6;
}

.fixed {
    position: fixed;
    right: 0;
}

.dropdown-menu {
    min-width: unset;
}


/* CAROUSEL */

@keyframes zoom {
    from { transform: scale(1.333333); }
    to { transform: scale(1); }
}

.carousel-indicators [data-bs-target] {
    text-indent: 0;
}

.carousel-item img {
    object-fit: cover;
    object-position: center center;
    transform: scale(1.333333); 
}

.carousel-item.active:not(.carousel-item-left) img,
.carousel-item.active:not(.carousel-item-right) img {
    animation: zoom 5s ease 1s 1 forwards;
}
